<?php



/**

 * 会员注册登录

 */

namespace Mobile\Controller;

use Common\Controller\PhonegameController;

class ZhuantiController extends PhonegameController {
    //登录
	public function index() {

       $User = M('m_activities'); // 实例化User对象
        $count      = $User->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)

        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->order('btime desc')->limit($Page->firstRow.','.$Page->listRows)->select();


       //$act = M('m_activities');

       //$acts = $act->order('btime desc')->select();
       $this->assign('acts',$list);
       $this->assign('page',$show);// 赋值分页输出
       $this->display($this->template.'/template1'.'/Zhuanti'.'/index');
        

    }

    public function festival(){

        $User = M('m_activities'); // 实例化User对象
        $map['type_id'] = 1;
        $count      = $User->where($map)->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)

        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where($map)->limit($Page->firstRow.','.$Page->listRows)->select();


       //$act = M('m_activities');
       //$map['type_id'] = 1;
       //$acts = $act->where($map)->select();
       $this->assign('acts',$list);
       $this->assign('page',$show);// 赋值分页输出
    	 $this->display($this->template.'/template1'.'/Zhuanti'.'/festival');
    }

    public function serveract(){


      $User = M('m_activities'); // 实例化User对象
        $map['type_id'] = 2;
        $count      = $User->where($map)->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)

        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where($map)->limit($Page->firstRow.','.$Page->listRows)->select();




       $act = M('m_activities');
       $map['type_id'] = 2;
       $acts = $act->where($map)->select();
       $this->assign('acts',$list);
       $this->assign('page',$show);// 赋值分页输出

      $this->display($this->template.'/template1'.'/Zhuanti'.'/serveract');
    }

    public function other(){

       $User = M('m_activities'); // 实例化User对象
        $map['type_id'] = 3;
        $count      = $User->where($map)->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)

        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where($map)->limit($Page->firstRow.','.$Page->listRows)->select();



       $act = M('m_activities');
       $map['type_id'] = 3;
       $acts = $act->where($map)->select();
       $this->assign('acts',$list);
       $this->assign('page',$show);// 赋值分页输出

      $this->display($this->template.'/template1'.'/Zhuanti'.'/other');
    }

    
    
}

